the "Ubuntu Help" should be "Ubuntu Kylin Help"

Bug #1331873 reported by handsome_feng on 2014-06-19
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Session Menu
Fix Released
Medium
Charles Kerr
Ubuntu Kylin
Medium
handsome_feng
Ubuntu Translations
Medium
Unassigned
indicator-session (Ubuntu)
Undecided
Charles Kerr

Bug Description

the "Ubuntu Help"should be "Ubuntu Kuliy Help" in the indicator ,since this is ubuntuKylin system.

Related branches

Changed in ubuntukylin:
assignee: nobody → handsome_feng (445865575-b)
importance: Undecided → Medium
tags: added: ubuntukylin
Charles Kerr (charlesk) wrote :

IRC discussion from #ubuntu-desktop:

[09:16:50] <charles> hmm, I wonder if there's a better way to do things like this so that we don't wind up with #ifdef-level code all over the place
[09:16:55] <charles> https://code.launchpad.net/~445865575-b/indicator-session/indicatorForKylin/+merge/223664
[09:20:31] <Laney> maybe they should divert /etc/os-release or something
[09:29:15] <seb128> charles, what laney said, use NAME from /etc/os-release and get Kylin to change that
[09:29:36] <seb128> like "%s Help", NAME
[09:30:19] <seb128> happyaron, FJKong: do you if Kylin change its /etc/os-release?
[09:30:50] <happyaron> seb128: Kylin does not change it atm
[09:32:37] <seb128> happyaron, do you know if they discussed change it?
[09:34:43] <happyaron> seb128: they didn't
[09:35:26] <happyaron> seb128: they added a file, /etc/ubuntukylin-release, for identifying Kylin systems.
[09:35:52] <Laney> it means that programs have to special case kylin though
[09:35:55] <seb128> happyaron, well, that forces code to special case rather than just reading os-release
[09:37:42] <happyaron> seb128: they want to keep compatibility with Ubuntu as much as possible, so that all program that do OS checking can identify it as Ubuntu, except those ones can recognize the additional indication of Kylin flavor.
[09:37:58] <seb128> shrug
[09:38:09] <seb128> they want to be Ubuntu but not be flagged as Ubuntu at the same time
[09:38:23] <happyaron> that's it
[09:39:02] <Laney> http://www.freedesktop.org/software/systemd/man/os-release.html
[09:39:06] <Laney> I think that NAME is for presentation

Anthony, is there harm in changing the presentation name in /etc/os-release? What breaks if we set NAME=Kylin Ubuntu there?

Anthony Wong (anthonywong) wrote :

Charles, changing NAME should be fine.
I will ask Jack's team, who is subscribed to this bug, to verify if there are any side-effects.

Jack Yu (jackyu) on 2014-06-24
Changed in ubuntukylin:
milestone: none → utopic-alpha2
Jack Yu (jackyu) wrote :

Charles & Anthony, I think it's fine to use NAME /etc/os-release, instead of adding /etc/ubuntukylin-release. We just want this system could be recongnized as 'Ubuntu Kylin'. We will check the effects asap and update here.

Huan Peng (penghuanmail) wrote :

We will divert it in ubuntukylin-default-settings package and update the code, Thanks!

How about bug: https://bugs.launchpad.net/ubuntukylin/+bug/1329584, use the same way like: "%s Desktop", Name?

Charles Kerr (charlesk) wrote :

Yep, sounds good to me.

Handsome, will the update be pushed to your indicatorForKylin branch so we can keep the same MR?

yes , i have updated my branch and pushed it up ,thank you !

Gunnar Hjalmarsson (gunnarhj) wrote :

However you name the menu label, it takes you to Ubuntu Desktop Guide. Or does Ubuntu Kylin ship its own user help package?

handsome_feng (feng-kylin) wrote :

we have made our own user help package.

Gunnar Hjalmarsson (gunnarhj) wrote :

Aha, thanks, that explains it. ;)

handsome_feng (feng-kylin) wrote :

Thank you! :)

Changed in indicator-session:
importance: Undecided → Medium
status: New → Triaged
Charles Kerr (charlesk) on 2014-07-16
Changed in indicator-session:
assignee: nobody → Charles Kerr (charlesk)
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-session - 12.10.5+14.10.20140717-0ubuntu1

---------------
indicator-session (12.10.5+14.10.20140717-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Add support for getting the distro name from /etc/os-release. (LP:
    #1331873)
 -- Ubuntu daily release <email address hidden> Thu, 17 Jul 2014 08:33:50 +0000

Changed in indicator-session (Ubuntu):
status: New → Fix Released
Jack Yu (jackyu) on 2014-07-18
Changed in ubuntukylin:
status: New → Fix Committed
Charles Kerr (charlesk) on 2014-07-19
Changed in indicator-session:
status: In Progress → Fix Released
Changed in indicator-session (Ubuntu):
assignee: nobody → Charles Kerr (charlesk)
Aron Xu (happyaron) wrote :

ubuntukylin-default-settings/1.2.0 is updated in utopic to set NAME to Ubuntu Kylin in /etc/os-release, please verify if this works in an up-to-date system and close the UbuntuKylin task if appropriate.

handsome_feng (feng-kylin) wrote :

I tested it in ubuntukylin 14.10 a short while ago ,it works well ,thank you !

Aron Xu (happyaron) on 2014-07-29
Changed in ubuntukylin:
status: Fix Committed → Fix Released
handsome_feng (feng-kylin) wrote :

hi, Charles, does the translation of "%s Help" or "Help" update in indicator-session?

handsome_feng (feng-kylin) wrote :

hi, The help label has not been translated yet.

Gunnar Hjalmarsson (gunnarhj) wrote :
Changed in ubuntu-translations:
assignee: nobody → Launchpad Simplified Chinese Translators (lp-l10n-zh-cn)
importance: Undecided → Medium
status: New → Triaged
Aron Xu (happyaron) wrote :

Verified fixed.

Changed in ubuntu-translations:
assignee: Launchpad Simplified Chinese Translators (lp-l10n-zh-cn) → nobody
status: Triaged → Fix Released
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1331873

tags: added: iso-testing
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers